# Decode & Conquer - Martian Defense Join CTF

## Challenge
Analyze the provided script (`rev.ps1`) to uncover a hidden flag which is the current invite URL to the private community.


## Getting Started
1. Download the `rev.ps1` file from the challenge platform.
2. Open the script in a text editor to begin analyzing its structure and obfuscation methods.
3. The flag is hidden within the script. Reverse the obfuscation to find it.

## Obfuscation Techniques to Look For
- **String Character Encoding**: The script uses `[Char]` and `[BYTE]` to represent characters numerically.
- **Automation Interface Manipulation**: Some methods are dynamically constructed.
- **Obfuscation of Key Strings**: Important parts of the script are hidden within concatenated strings or encoded text.
